<!--周末降价 created By 1173944134@qq.com-->
<template>
    <!--我的课浮标-->
    <div class="flex-row wc-cslist-icon" id="wcCsListIcon">
        <img src="" class="vow-gift img"/>
    </div>
    <!--弹窗-->
    <div class="yidialog-con" id="Dia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="kj-djs"></div>
                <img src="" style="display: none;" class="coupon-img"/>
                <div class="btn-baom-con">
                    <img src="" class="btn-baom heart-beat"/>
                </div>
            </div>
            <div class="yid-cls-con">
                <img src="" class="yid-cls"/>
            </div>
        </div>
    </div>
	<div class="momday-alert" id="momdayAlert">
		<div class="content">
			<div class="arrow"></div>
			<div class="text"></div>
		</div>
	</div>
	<div class="momday-float" id="momdayFloat">
		<img class="img heart-beat" src="http://static2.61info.com/service/imgs/groupPurchase/act/weekly_coupon/mom_float.png" alt="">
	</div>
</template>

<script>
    /**
     * 周末降价活动
     * 弹窗key为weekly_alert
     * # 设置弹窗类型；文案 i61_config`.`configdata
     * 二、配置步骤
     1、在表wxgroupbuycouponconfiginfo配置活动的优惠券，优惠券的开始结束时间要与活动的起止时间对应
     2、在表dengta_common_act_config修改actId=10001的begin_time与end_time
     3、在表dengta_act_weekend_promotion_coupon_config添加这次活动的act_start_time与act_end_time，分别与1、2的时间保持一致；添加这次所需要的优惠券
     **/
    export default {
        name: 'weekly_coupon',
        data: {
            couponData: null,
            actEndTime: null,
            $iframe: null,
            hadLoadIcon: false,
            actPvuv: ApiHelper.SERVER + '/dengta/common/act/10029/addPvuv.json',
            pvuv: ApiHelper.SERVER + '/dengta/act/promotion/10001/addActPvuv.json', // 统计
            index: ApiHelper.SERVER + '/dengta/act/promotion/10001/getActUserState.json', // 商城首页调用接口
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/weekly_coupon/'
        },
        // pvuvkey
        pvuvKey: {},
        // 接口数据
        actData: {
            sysTime: new Date().getTime(),
            status: 0 // 0-不能参加，1-可以参加，2-已购买
        },
        // 曝光统计
        sendExposePvuv: function (data, callback) {
            data = data || {}
            if (!data.pvuvKeyId) {
                return
            }
            data.actChannels = data.channel
            var url = this.data.actPvuv
            if (!data.actId) {
                url = url.replace('10029', 10001)
            }
            delete data.channel
            if (!data.expParam) {
                data.expParam = {
                    module: '',
                    tag: ''
                }
            }
            $.get(url, data)
            callback && setTimeout(callback, 300)
        },
        addPvuv: function (data, callback) {
            ApiHelper.myLog('pvuv>>>>', data)
            $.get(data.url || this.data.pvuv, data)
            callback && setTimeout(callback, 300)
        },
        createIframe: function (data) {
            /**
             * data对象传入属性
             * data.url: iframe链接
             * data.id: iframe id
             * data.classList: iframe class,可传入单个字符串或者数组
             * */
            var sele = '';
            sele += data.id && ' id="' + data.id + '" ';
            sele += data.classList && (typeof (data.classList) === 'string' ? ' class="' + data.classList + '"' : ' class="' + data.classList.join(' ') + '" ');
            var $iframe = $(
                '<iframe src="' + data.url + '" style="position:fixed;top:0;left:0;z-index:2001;width:100%;height:100%"' + sele + ' frameborder="0"></iframe>'
            );
            data.isHide && $iframe.hide();
            $('body').append($iframe)
            return $iframe
        },
        // 初始化
        init: function () {
            var that = this

					// 母亲节期间不显示弹窗
					var isMomAct = new Date() > new Date('2020/05/08 00:00:00') && new Date() < new Date('2020/05/11 23:59:59');
					if (isMomAct) {
						that.initMomAlert()
					} else {
						$.get(this.data.index, function (res) {
							var resData = res.value || {}

							var orderedCouponConfigInfos = resData.orderedCouponConfigInfos || []
							orderedCouponConfigInfos = orderedCouponConfigInfos.slice(0, 2)
							var couponData = []
							orderedCouponConfigInfos.forEach(function (one) {
								var wxGroupBuyCouponConfigInfo = one.wxGroupBuyCouponConfigInfo || {}
								var isZ = wxGroupBuyCouponConfigInfo.benefitType === 2
								couponData.push({
									price: (isZ ? wxGroupBuyCouponConfigInfo.benefitNumDiscount : wxGroupBuyCouponConfigInfo.benefitNumYuan) + '.png',
									dw: isZ ? 'zhe.png' : 'yuan.png',
									rback: isZ ? 'zhekou.png' : 'xianjin.png',
									djs: '有效期不足24小时'
								})
							})
							if (couponData.length === 0) {
								return
							}
							var sysTime = resData.sysTime
							that.actData.sysTime = sysTime
							var isEnd = sysTime - new Date('2020/03/10 23:59:59').getTime() > 0 // 活动结束
							weekly_coupon.data.actEndTime = resData.actEndTime;
							window.weeklyCouponData = resData;
							weekly_coupon.data.couponData = couponData;
							// 在本次活动期间满足条件首页胶囊样式调整
							!isEnd && resData.isActUser && that.checkHas('.module_item_11', function () {
								$('.module_item_11 .course_box_classic_list').css({
									backgroundColor: 'transparent',
									paddingBottom: '0'
								})
								$('.module_item_11').css({
									marginTop: '0.5rem'
								})
							});
							// 在本次活动期间满足条件或者非本次活动
							(!isEnd && resData.isActUser || isEnd) && ApiHelper.moreCourse && weekly_coupon.initMoreCourse();
							// ApiHelper.userProfile && weekly_coupon.initUser();
							!isEnd && ApiHelper.courseList && that.initCsList()
						})
					}

            ApiHelper.courseDetails && weekly_coupon.initCourseDetails()
        },
			initMomAlert: function () {
				var pageName = $('body').data('page-name');
				// 浮标
				if (['moreCourse', 'courseList'].indexOf(pageName) > -1) {
					var $momdayFloat = $(momdayFloat);
					$momdayFloat.hide();
					$('body').append($momdayFloat);
					var winHeight = $(window).height();
					document.addEventListener('scroll', function () {
						if (window.scrollY > winHeight / 2) {
							$momdayFloat.show()
						} else {
							$momdayFloat.hide();
						}
					})
					$momdayFloat.on('click', function () {
						location.href = '/app/spa/dengta_h5/act_weekly?channel=142500009'
					})
				}

				// 弹窗
				if (pageName != 'moreCourse') return
				var storageName = 'weekly_momday';
				if (localStorage.getItem(storageName)) return;
				$('body').on('momday', function () {
					var $momdayAlert = $(momdayAlert);
					$('body').append($momdayAlert);
					$momdayAlert.on('click', '.content', function (e) {
						e.stopPropagation()
						$momdayAlert.hide()
						location.href = '/app/spa/dengta_h5/act_weekly?channel=142500007&showGuide=true'
					})
					$momdayAlert.on('click', function () {
						$momdayAlert.hide();
					})
				})
				localStorage.setItem(storageName, storageName)
			},
        // 商城首页banner pvuv
        bannerPvuv: function (data) {
            if (!data) {
                return
            }
            var type = data.type // "expose" click
            var link = data.link || ''
            var id = data.id
            if (id !== 1 || type !== 'expose') {
                return
            }
            this.sendExposePvuv({
                pvuvKeyId: 1283,
                channel: this.getQueryVal('channel', link)
            })
        },
        // 获取url第一个参数
        getQueryVal: function (key, str) {
            var search = str.split('?') || []
            search = search[1] || ''
            search = search.split('&') || []
            var val = ''
            for (var i = 0; i < search.length; i++) {
                var arr = search[i].split('=')
                if (arr[0] === key) {
                    val = arr[1]
                    break
                }
            }
            return val
        },
        // 模块曝光
        funnelExpose: function (idArr) {
            var has = false
            var id = 43 // 此处有坑，暂时用id
            var size = idArr.length
            for (var i = 0; i < size; i++) {
                id === idArr[i].id && (has = true)
            }
            if (!has) {
                return
            }
            this.sendExposePvuv({
                pvuvKeyId: 1283,
                channel: 142300017
            })
        },
        // 商城首页初始化
        initMoreCourse: function () {
            var that = this
            var actEndDate = new Date(weekly_coupon.data.actEndTime)
            var actEndDateStr = '' + actEndDate.getFullYear() + actEndDate.getMonth() + actEndDate.getDate()
            var weeklyMoreCourse = 'weekly_morecourse_' + actEndDateStr; // 缓存名称，每场活动都不同
            // pvuv
            $('body').on('homeBannerPvuv', function (e, data) {
                that.bannerPvuv(data)
            })
            $('body').on('funnelExpose', function (e, data) {
                if (!data) {
                    return
                }
                var idArr = data.idArr || []
                that.funnelExpose(idArr)
            })
            var hideEndDateList = [+new Date('2020/01/24 23:59:59'), +new Date('2020/01/27 23:59:59'), +new Date('2020/01/29 23:59:59')];
            var isHideAlert = hideEndDateList.indexOf(weekly_coupon.data.actEndTime) > -1;

            $('body').on('weeklyAlert', function () {
                // 只是首次弹窗,在body触发之前创建，加快显示
                if (!localStorage.getItem(weeklyMoreCourse) && !isHideAlert) {
                    localStorage.setItem(weeklyMoreCourse, weeklyMoreCourse);
                    that.data.$iframe = that.createIframe({
                        url: ApiHelper.getActUrl() + '/act_common_alert?type=weekly_entry',
                        id: 'weekly-coupon',
                        classList: ['iframe', 'fame'],
                        isHide: true
                    });
                }
                that._initMoreCourse()
            })
        },
        _initMoreCourse: function () {
            var that = this
            if (weekly_coupon.data.hadLoadIcon) return
            weekly_coupon.data.hadLoadIcon = true;
            // 优惠券icon重置
            var $couponIcon = $('.coupon_btn').clone().removeClass('coupon_btn')
            $('.coupon_btn').hide()
            $couponIcon.css({
                width: '1.17rem',
                height: '1.58rem',
                position: 'fixed',
                top: '74%',
                right: '3%',
                zIndex: 99,
                display: 'flex',
                flexDirection: 'column'
            }).insertAfter($('.coupon_btn'))
            // couponIcon.find('img').addClass('flag-fly')
            $couponIcon.find('img').attr('src', this.data.imgPath + 'coupon_flag_new.png?v=' + version).addClass('scale-out');
            $couponIcon.find('img').css({
                width: '0.96rem',
                height: '0.48rem',
                marginLeft: '0.1rem',
                alignSelf: 'flex-start',
                zIndex: 1
            })
            var flagImg = $('<img src="' + this.data.imgPath + 'coupon_btn.png?v=' + version + '"/>');
            $couponIcon.append(flagImg)
            $('.free-logo').hide();
            flagImg.css({
                zIndex: 2,
                marginTop: '.1rem'
            });
            this.addPvuv({ // 曝光统计
                type: 6,
                popupId: 1,
                eventType: 2,
                courseId: ''
            })
            $couponIcon.click(function () {
                that.addPvuv({
                    type: 6,
                    popupId: 1,
                    eventType: 1,
                    courseId: ''
                }, function () {
                    window.navigateTo('/wx/groupBuy/couponList.html?channel=100376')
                })
            })

            weekly_coupon.data.$iframe && weekly_coupon.data.$iframe.show();

            // weekly_coupon.checkCouponDia(couponData, res.value)
        },
        // 拼团详情页
        initCourseDetails: function () {
            var that = this
            var beginGroupWithActCoupon = false // 是否以优惠券开团
            $('body').on('couponChange', function (e, userCouponPriceInfo) {
                if (!beginGroupWithActCoupon) {
                    return
                }
                if ([792, 793, 794].indexOf(userCouponPriceInfo.couponConfigInfo.id) > -1) return // 母亲节活动
                var userCPriceInfo = userCouponPriceInfo || {}
                var zxPrice = $('.course_card_groupBuyPrice').text()
                var couponDeduction = Number((userCPriceInfo.couponDeduction / 100).toFixed(2))
                if (couponDeduction > 0) {
                    zxPrice = couponDeduction
                    $('.weekly-cp-taihs').html('太划算了。本团可享专属<span class="ft-bd">' +
                        zxPrice + '元' + '</span>优惠！！')
                }
            })
            $('body').on('disCouponed', function (e, data) {
                var isEnd = that.actData.sysTime - new Date('2020/05/11 23:59:59').getTime() < 0 // 本次活动未结束
                var couponData = (data.value || {}).tDengtaActPopupCoupon || {}
                if (couponData.actType != 1) return;
                var canHas = $('.course_card_info').css('display') !== 'none' // 暂时hack
                if (!canHas) {
                    return
                }
                var wxGroupBuyCouponConfigInfo = couponData.wxGroupBuyCouponConfigInfo || {}
                var isZ = wxGroupBuyCouponConfigInfo.benefitType === 2
                var zxPrice = (isZ ? wxGroupBuyCouponConfigInfo.benefitNumDiscount : wxGroupBuyCouponConfigInfo.benefitNumYuan)

                var allTrue = couponData.beginGroupWithActCoupon && couponData.hasCoupon && couponData.promotionalCourse
                beginGroupWithActCoupon = couponData.beginGroupWithActCoupon
                window.weeklyDetailData = {
                    cutNum: zxPrice,
                    couponType: isZ ? '折扣券' : '女王专享券',
                    unitYuan: isZ ? '折' : '元',
                    duration: wxGroupBuyCouponConfigInfo.startTimeYMDChar.substr(5, 5).replace('月', '.') + '-' + wxGroupBuyCouponConfigInfo.endTimeYMDChar.substr(5, 5).replace('月', '.')
                }

                // allTrue && weekly_coupon.showCouponDia({
                //     price: zxPrice,
                //     dw: isZ ? 'zhe.png' : 'yuan.png',
                //     duration: wxGroupBuyCouponConfigInfo.startTimeYMDChar.substr(5, 5) + '-' + wxGroupBuyCouponConfigInfo.endTimeYMDChar.substr(5, 5)
                // })
                var couponPrice = $('<div class="weekly-cp-taihs">太划算了。本团可享专属<span class="ft-bd">' + zxPrice +
                    (isZ ? '折' : '元') + '</span>优惠！！</div>')
                var noCoupon = couponData.beginGroupWithActCoupon && !couponData.hasCoupon && couponData.promotionalCourse
                if (noCoupon) {
                    zxPrice = $('.course_card_groupBuyPrice').text()
                    couponPrice = $('<div class="weekly-cp-taihs">太划算了！折扣完竟然只要<span class="ft-bd">' + zxPrice +
                        (isZ ? '折' : '元') + '</span>！</div>')
                }
                zxPrice && couponPrice.insertBefore($('.collage_info').first('div'))
                if ($('.weekly-cp-taihs').length === 0) {
                    return
                }
                couponPrice.css({
                    color: '#ff421c',
                    fontSize: '0.36rem',
                    fontWeight: '520',
                    backgroundColor: '#ffffff',
                    textAlign: 'center'
                })
                if (isEnd) {
                    return
                }
                // 显示过一次
                var weeklCourseDetail = 'weekly_coursedetail'
                if (ApiHelper.getCookie(weeklCourseDetail)) {
                    return
                }
                ApiHelper.setCookie(weeklCourseDetail, 1, 5);

                that.createIframe({
                    url: ApiHelper.getActUrl() + '/act_common_alert?type=weekly_detail',
                    id: 'weekly-coupon'
                })
            })
        },
        initUser: function () {
            var that = this
            if (!weekly_coupon.data.couponData) return;
            // 解决返回不刷新问题
            window.addEventListener('pageshow', function (e) {
                $('.send-course-act190806-float').hide();
            }, false)
            // $('.send-course-act190806-float').hide();
            var $flag = $(
                '<div>限时领</div>'
            );
            $flag.css({
                position: 'absolute',
                top: '.16rem',
                right: '0',
                width: '.96rem',
                height: '.38rem',
                backgroundImage: 'linear-gradient(0deg, #ff2241 0%, #ff5b27 100%)',
                borderRadius: '.1rem 0px 0px .1rem',
                color: '#fff',
                fontSize: '.24rem',
                textAlign: 'center',
                lineHeight: '.38rem'
            });
            that.addPvuv({ // 曝光统计
                type: 7,
                popupId: 1,
                eventType: 2,
                courseId: ''
            })
            $('.coupon_entry').append($flag).unbind('click').on('click', function () {
                that.addPvuv({
                    type: 7,
                    popupId: 1,
                    eventType: 1,
                    courseId: ''
                }, function () {
                    window.navigateTo('/wx/groupBuy/couponList.html?channel=100377')
                })
            });
        },
        // 我的课页
        initCsList: function () {
            $(wcCsListIcon).appendTo($('body'))
            $('#wcCsListIcon .img').attr('src', this.data.imgPath + 'cslist-icon.png?v=' + window.jspVersionMoreChange)
            $('#wcCsListIcon').click(function () {
                window.navigateTo('/app/spa/dengta_h5/act_weekly?channel=142300016')
            })
            this.sendExposePvuv({
                pvuvKeyId: 1283,
                channel: 142300016
            })
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (selector) {
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (rect.top <= window.innerHeight && rect.top >= -rect.height) {
                flag = true
            }
            return flag
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 20 && check()
                    }
                }, 300)
            }

            check()
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        },
        //倒计时
        doubleEvelenTimeDown: function (cutDownTime) {
            var oneDay = 24 * 60 * 60 * 1000
            var that = this
            var courseTime = setInterval(function () {
                cutDownTime -= 10
                if (cutDownTime > oneDay) {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60 % 24)
                    var dd = Math.floor(cutDownTime / 1000 / 60 / 60 / 24)
                    dd = dd > 99 ? 99 : dd
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.countDownNum11').html('<span class="days">' + dd + '天' + '<span class="hours">' + hh + '</span><span class="time_sign">:</span><span class="hours">' + mm + '</span><span class="time_sign">:</span><span class="hours">' + ss + '</span><span class="time_sign">:</span><span class="hours">' + ms + '</span>')
                } else {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60)
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    if (hh < 0 || mm < 0 || ss < 0 || ms < 0) {
                        hh = 0
                        mm = 0
                        ss = 0
                        ms = 0
                        clearInterval(courseTime)
                    }
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.coupon_time_h').text(hh)
                    $('.coupon_time_m').text(mm)
                    $('.coupon_time_s').text(ss)
                    $('.coupon_time_ms').text(ms)
                }
                clearInterval(courseTime)
                that.doubleEvelenTimeDown(cutDownTime)
            }, 10)
        }
    }
</script>

<style scoped lang="less">
	@BASE_IMG_URL: 'http://static2.61info.com/service/imgs/groupPurchase/act/weekly_coupon';

	.momday-alert {
		position: fixed;
		top: 0;
		left: 0;
		z-index: 999;
		width: 100%;
		height: 100%;
		background: rgba(0, 0, 0, .85);
		.content {
			margin-top: 200px;
			position: relative;
			width: 750px;
			height: 417px;
			background: url('@{BASE_IMG_URL}/guide_alert.png') no-repeat center / 100%;
			.arrow {
				position: absolute;
				top: 438px;
				left: 300px;
				width: 71px;
				height: 120px;
				background: url('@{BASE_IMG_URL}/guide_arrow.png') no-repeat center / 100%;
				animation: arrowAnimate 1s infinite;
				@keyframes arrowAnimate {
					0% {
						transform: translate(0, 0);
					}
					50% {
						transform: translate(20px, -50px);
					}
					100% {
						transform: translate(0, 0);
					}
				}
			}
			.text {
				position: absolute;
				top: 600px;
				left: 45%;
				transform: translateX(-50%);
				width: 251px;
				height: 77px;
				background: url('@{BASE_IMG_URL}/guide_text.png') no-repeat center / 100%;
			}
		}
	}
	.momday-float {
		position: fixed;
		bottom: 10%;
		right: 29px;
		width: 140px;
		height: 140px;
		.img {
			width: 100%;
			height: 100%;
		}
	}

    .flex-row {
        display: -moz-box;
        /* 老版本语法: Firefox (buggy) */
        display: -ms-flexbox;
        /* 混合版本语法: IE 10 */
        display: -webkit-flex;
        /* 新版本语法: Chrome 21+ */
        display: flex;
    }

    @cl-mask: rgba(0, 0, 0, 0.85);
    /**弹窗**/
    .yidialog-con {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;

        .yid-back {
            position: absolute;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            text-align: center;
            background: @cl-mask;
        }

        .yid-con {
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            color: #ffffff;
            flex-wrap: wrap;

            .yid-cls {
                position: relative;
                z-index: 9999;
                width: 0.51rem;
                height: 0.51rem;
                flex-shrink: 0;
            }

            .yid-hand {
                position: absolute;
                width: 1rem;
                top: 3.1rem;
                right: 0.1rem;
                animation: handClick 1s infinite;
            }
        }

        .yid-con-col {
            flex-direction: column;
        }
    }

    .wc-cslist-icon {
        position: fixed;
        justify-content: center;
        align-items: center;
        z-index: 66;
        color: #ffffff;
        width: 166px;
        height: 171px;
        left: unset;
        right: 23px;
        bottom: 263px;
        border-radius: 0;

        .img {
            width: 138px;
            height: 124px;
        }
    }

    .vow-gift {
        animation: vowGift 1s infinite;
    }

    @keyframes vowGift {
        0%, 100% {
            transform: rotate(-10deg);
        }
        50% {
            transform: rotate(10deg);
        }
    }

    .my-hand-ani {
        animation: myHandAni 1s infinite;
    }

    @keyframes myHandAni {
        50% {
            left: 80px;
        }
        0%, 100% {
            left: 50px;
        }
    }

    @keyframes iconClick {
        0%, 100% {
            margin-bottotm: 0;
        }
        50% {
            margin-bottom: -35px;
            transform: scale(1.1);
        }
    }

    @keyframes handClick {
        from {
            margin-top: 0rem;
            margin-right: 0rem;
        }
        50% {
            margin-top: -0.1rem;
            margin-right: 0.1rem;
            transform: scale(0.9);
        }
        to {
            margin-top: -0rem;
            margin-right: 0rem;
        }
    }

    .scale-size {
        animation: scaleSize 2s infinite;
    }

    @keyframes scaleSize {
        from {
            transform: scale(0.9);
            opacity: 0.9;
        }
        50% {
            transform: scale(1.2);
            opacity: 1;
        }
        to {
            transform: scale(0.9);
            opacity: 0.9;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
